# Search API Meilisearch

This module provides integration with the [Meilisearch service][Meilisearch],
which is a powerful, fast, open-source, easy to use, and deploy search engine.
It serves as a back-end to an existing Search API module that provides the
interface for the search functionality.

[Meilisearch]: https://www.meilisearch.com

- For a full description of the module, visit the [project page].
- To submit bug reports and feature suggestions, or to track changes, use the
  [issue queue].

[Project page]: https://www.drupal.org/project/search_api_meilisearch
[Issue queue]: https://www.drupal.org/project/issues/search_api_meilisearch


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires the following modules:

- [Search API](https://www.drupal.org/project/search_api)


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see _[Installing Drupal Modules]_.

[Installing Drupal Modules]: https://www.drupal.org/docs/extending-drupal/installing-drupal-modules


## Configuration

1. Navigate to `/admin/config/search/search-api` and create a server with
   Meilisearch as a backend.
2. In the Meilisearch backend config form enter the host address and host port.
3. If you added the master key to the Meilisearch server add it into the
   configuration form. If no master key was set, this field can be left empty.
4. Create an index and select previsouly created meilisearch server as a
   backend server. Save the index or first add fields to it and then save it.


## Maintainers

- Benjamin Cizej - [bcizej](https://www.drupal.org/u/bcizej)
- Boštjan Kovač - [boshtian](https://www.drupal.org/u/boshtian)
- Rok Zabukovec - [rokzabukovec](https://www.drupal.org/u/rokzabukovec)


## Supporting Organizations:

- [Agiledrop - Your Trusted Drupal Teammates][Agiledrop]

[Agiledrop]: https://www.drupal.org/agiledrop-your-trusted-drupal-teammates
